//
//		Definition of the main game class
//
#ifndef ADOPTION_SCENE_H
#define ADOPTION_SCENE_H

#include "ldwScene.h"
#include "ldwGameWindow.h"

class ldwButton;
class ldwTextControl;

class CAdoptionScene : public ldwScene
{
public:

	static CAdoptionScene *Get();
	static CAdoptionScene &Ref();
	static void            Destroy();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);

	void Activate(bool active);

protected:

	static CAdoptionScene *m_pInstance;

	void DrawScene();
	void UpdateScene();
																						  
private:

	CAdoptionScene();
	~CAdoptionScene();

	void GeneratePeepCandidate();
	int  GetNextCandidate();

	enum
	{
		eButton_Done = 1,
		eButton_TryAgain,

		eSelectionTarget = 5,
	};

	int mWhichPeep;

	int startingBalance;

	int  mCandidateCount;
	int  mCurrentCandidate;

	int  mSelectionCount;
	int  mSelectedPeep[eSelectionTarget];
								  
	ldwButton	   *m_rejectButton;

	ldwTextControl *sceneLabel;
	ldwTextControl *skillsLabel;

	ldwTextControl *skillFarmLabel;
	ldwTextControl *skillResearchLabel;
	ldwTextControl *skillBreedingLabel;
	ldwTextControl *skillHealingLabel;
	ldwTextControl *skillConstructionLabel;

	ldwTextControl *playerCommField;
	ldwTextControl *nameLabel;
	ldwTextControl *nameField;
	ldwTextControl *ageLabel;
	ldwTextControl *ageField;
	ldwTextControl *genderLabel;
	ldwTextControl *genderField;
	ldwTextControl *statusLabel;
	ldwTextControl *statusField;
	ldwTextControl *likesLabel;
	ldwTextControl *likesField;
	ldwTextControl *dislikesLabel;
	ldwTextControl *dislikesField;
	ldwTextControl *pregTimerLabel;
	ldwTextControl *pregTimerField;
	ldwTextControl *numericCurrentManaField;
	ldwTextControl *numericMaxManaField;
	ldwTextControl *skillEvangelismLabel;
	ldwGameWindow *gameWindow;



	ldwTextControl *mouseXLabel;
	ldwTextControl *mouseYLabel;
};
#endif