/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	Behavior
**
** DESCRIPTION:	
**
**
\******************************************************************************/

#ifndef BEHAVIOR_H
#define BEHAVIOR_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/
#include "../Collectables/Collectable.h"
#include "../Puzzles/Construction.h"
#include "../Utils/theStringManager.h"



class CVillager;

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/

/******************************************************************************\
** TYPE DEFINITIONS
\******************************************************************************/

enum EBehavior
{
	eBehavior_Idle,
	eBehavior_SwimPond,
	eBehavior_SoakInPools,
	eBehavior_SoakInPoolsParty,
	eBehavior_DoResearch,
	eBehavior_HugSprite,
	eBehavior_WaitForContact,
	eBehavior_GoInHouse,
	eBehavior_RunAway,
	eBehavior_RunAwayGeneric,
	eBehavior_RunAwayBeesShort,
	
	eBehavior_HeathenChiefMull,
	eBehavior_HeathenChiefResearcherMull,
	eBehavior_HeathenChiefFarmerMull,
	eBehavior_HeathenChiefBuilderMull,

	eBehavior_Dance,
	eBehavior_Construct,
	eBehavior_HonorTheDead,
	eBehavior_RainDance,
	eBehavior_Relaxing,
	eBehavior_ChaseVillager,
	eBehavior_RunToSafety,
	eBehavior_RunFromScaryHeathen,
	eBehavior_GatherKindling,
	eBehavior_GatherFirewood,
	eBehavior_StartFire,
	eBehavior_WashFeet,
	eBehavior_DrinkWater,
	eBehavior_StrollAroundLake, 
	eBehavior_WanderCemetery, 
	eBehavior_HangOutPond, 
	eBehavior_Confused,
	eBehavior_NotFeelingWell2,
	eBehavior_DiveSW,
	eBehavior_DiveSE,
	eBehavior_PickShroom,
	eBehavior_PickCollectable,
	eBehavior_ShakeHead,
	eBehavior_HealSprite,
	eBehavior_Evangelize,
	eBehavior_Sit,
	eBehavior_ListenToEvangelist,
	eBehavior_Interact,
	eBehavior_DrinkingRain,
	eBehavior_DoingLaundry,
	eBehavior_BlessingsDayDance,
	eBehavior_DayOfTheDeadDance,
	eBehavior_IsolaDayDance,
	eBehavior_BuryDead,
	eBehavior_CelebrateEvent,
	eBehavior_RepairLoveshack,
	eBehavior_Eat,
	eBehavior_Danceparty,
	eBehavior_InspectingHut,
	eBehavior_RepairHut,
	eBehavior_GenericSlowWander,
	eBehavior_GenericWarming,
	eBehavior_KidSpaz,
	eBehavior_NatureCalls,
	eBehavior_TellStory,
	eBehavior_ListenStory,
	eBehavior_RestInHospital,
	eBehavior_ChangeClothes,
	eBehavior_Blessings,
	eBehavior_Sneezing,
	eBehavior_Lonely,
	eBehavior_WashBaby,
	eBehavior_ChangeBaby,
	eBehavior_ObserveAdults,
	eBehavior_Refuse,
	eBehavior_GatherHerbs,
	eBehavior_WorryAboutFood,
	eBehavior_Bored,
	eBehavior_JumpingContest,
	eBehavior_GettingOutOfRain,
	eBehavior_HeathenGettingOutOfRain,
	eBehavior_LookForMushrooms,
	eBehavior_Stumbling,
	eBehavior_DoingExercise,
	eBehavior_Faint,
	eBehavior_TooCold,
	eBehavior_TooHot,
	eBehavior_Itchy,
	eBehavior_Paralyzed,
//	eBehavior_PortableFrenzy,
	eBehavior_LayDown,
	eBehavior_SitDown,
	eBehavior_Spirituality,
	eBehavior_Trance,
	eBehavior_LookingForAGrownUp,
	eBehavior_HuddleAroundFire,
	eBehavior_ShowBabyHerbs,
	eBehavior_HidingSomething,
	eBehavior_SpringCleaning,
	eBehavior_DepositInFoodBin,
	eBehavior_ChildrenPlayInPuddles,
	eBehavior_LostChildrenSupportBevmac,
	eBehavior_BubbleBreath, 
	eBehavior_Hiccup, 
	eBehavior_HiccupInCenter, 
	eBehavior_GarlicInCenter, 
	eBehavior_BubblesInCenter, 
	eBehavior_StudyMedicine,
	eBehavior_HeathenStudyMedicine,
	eBehavior_HeathenMedicineDance,
	eBehavior_PlayInDirt,
	eBehavior_MomTeachingTalk,
	eBehavior_PlayingInSand,
	eBehavior_CleaningAfterStorm,
	eBehavior_PickBlackberries,
	eBehavior_HarvestCrops,
//	eBehavior_ClearNorthBlockage,
//	eBehavior_ShakeTree,
	eBehavior_NurseryInstruction,
	eBehavior_TeachAtNursery,
	eBehavior_DrinkFromStream,
	eBehavior_GetCleanInPond,
	eBehavior_Meditate,
	eBehavior_PukeUpStew,
	eBehavior_GatherForDrinkAndHiccup,
	eBehavior_CelebrateMushrooms,
	eBehavior_ShowBabyIdol,
	eBehavior_ShowBabyAqueduct,
	//walter work area
	eBehavior_CuriousKindling,
	eBehavior_CuriousDryWood,
	eBehavior_CuriousHerb1,
	eBehavior_CuriousHerb2,
	eBehavior_CuriousHerb3,
//	eBehavior_AdmireTree,
	eBehavior_WatchingDebris,
	eBehavior_ShowBabyBerries,
	eBehavior_TakeAShower,
	eBehavior_WashingUp,
	eBehavior_PlayingInNursery,
	eBehavior_PickBlackberriesTool,
	eBehavior_FootRace,
	eBehavior_KidPracticalJoke1,
	eBehavior_LookingForMommy,
	eBehavior_WatchingClouds,
	eBehavior_RecycleFence,
	eBehavior_JumpInPlace,
	eBehavior_GuardingFirewood,
	eBehavior_GuardBerries,
	eBehavior_GuardLab,
	eBehavior_DestroyFoodTotem,
	eBehavior_DestroyResearchTotem,
	eBehavior_DestroyNurseryTotem,
	eBehavior_DestroyMedicineTotem,
	eBehavior_DestroyBuildingTotem,
	eBehavior_HeathenRebuildTotemBehavior,
	eBehavior_GuardFoodTotem,
	eBehavior_GuardLabTotem,
	eBehavior_SickieHeathen,
	eBehavior_BuildBelieverIdol,
	eBehavior_DoHeathenResearch,
	eBehavior_HeathenPickBlackberries,
	eBehavior_HeathenBathing,
	eBehavior_VillagerBathing,
	eBehavior_DestroyMausoleum,
	eBehavior_RestoreMausoleum,
	eBehavior_HangOutHeathenCenter,
	eBehavior_PolishBelieverIdolBehavior,
	eBehavior_RunFromLightning,
	eBehavior_DestroyChildrensTotem,
	eBehavior_PrayToBelieverIdol,
	eBehavior_SpreadTheWord,
	eBehavior_HeathenNatureCalls,
	eBehavior_DestroyRainbowTotem,
	eBehavior_AddDyeToPoolsBehaviorRed,
	eBehavior_AddDyeToPoolsBehaviorBlue,
	eBehavior_AddDyeToPoolsBehaviorYellow,
	eBehavior_HeathenPacePools,
	eBehavior_HeathenEatDirt,
	eBehavior_HeathenScratchForRoots,
	eBehavior_HeathenHideInWater,
	eBehavior_HeathenResting,
	eBehavior_AttemptProofBehavior,
	eBehavior_ChallengeMasterBuilderBehaviorLt,
	eBehavior_ChallengeMasterBuilderBehaviorRt,
	eBehavior_HeathenAcceptBuildingChallengeLt,
	eBehavior_HeathenAcceptBuildingChallengeRt,
	eBehavior_HeathenApproveConstruct,
	eBehavior_HeathenDisapproveConstruct,
	eBehavior_BuildingChallengeWait,
	eBehavior_HeadHurtsBehavior,
	eBehavior_PanForGoldBehavior,
	eBehavior_SmeltGoldDustBehavior,
	eBehavior_InstallEyeBehavior,
	eBehavior_GetPanBehavior,
	eBehavior_PickUpScientistPieceBehavior,
	eBehavior_PickUpDoctorPieceBehavior,
	eBehavior_PickUpFarmerPieceBehavior,
	eBehavior_PickUpBuilderPieceBehavior,
	eBehavior_AssembleNecklaceBehavior,
	eBehavior_BringNecklaceBehavior,
	eBehavior_DoctorDropNecklacePiece,
	eBehavior_MotherHeathenCuddlingBaby,
	eBehavior_MotherBelieverMommyTalk,
	eBehavior_MotherHeathenListening,
	eBehavior_MotherHeathenHiding,
	eBehavior_CuriousMedicineTotem,
	eBehavior_CuriousResearchTotem,
	eBehavior_CuriousBuildingTotem,
	eBehavior_CuriousChildrensTotem,
	eBehavior_CuriousRainbowTotem,
	eBehavior_CuriousFoodTotem,
	eBehavior_CuriousHiddenGrove,
	eBehavior_CuriousAqueduct,
	eBehavior_CuriousDrawingBoard,
	eBehavior_CuriousMausoleum,
	eBehavior_CuriousBuildingChalenge,
	eBehavior_CuriousFilthyEncampment,
	eBehavior_CuriousRuinedLab,
	eBehavior_AllHideFromIrritant,
	eBehavior_FumigatingBedbugs,
	eBehavior_WashUpInStream,
	eBehavior_ShowBabyStream,
	eBehavior_ShowBabyGrove,
	eBehavior_WalkRiver,
	eBehavior_HeckleStoryteller,
	eBehavior_LastHeathenPuzzleBehavior,
	eBahavior_SearchParty,
	eBehavior_ListenToBiggles,
	eBehavior_BigglesSearchParty,
	//end walter work area

	//arthur work area
	//eBehavior_CuriousWindFlutes,
	eBehavior_CelebrateConversion,
	eBehavior_RunToPlace,
	eBehavior_RunToCelebrate,
	eBehavior_CelebrateFreeFood,
	eBehavior_GotoThenCelebrateFreeFood,
	eBehavior_RunAwayLab,
	eBehavior_HeathenObserveProof,
	eBehavior_HeathenDisaprooveProof,
	eBehavior_HeathenApproveProof,

	//end arthur area

	eBehavior_PlayWithButterflies,
	eBehavior_StompMushroom,

	eBehavior_DirectAqueductRepair,
	eBehavior_RepairAqueduct,
	eBehavior_GetFish,

	eBehavior_HeathenPickingFish,
	eBehavior_HeathenExcitedAboutPuddles,
	eBehavior_HeathenConsultChief,

	eBehavior_Comfort,
	eBehavior_PlayTag,

	eBehavior_NumberOf
};

struct SBehaviorData
{
};

struct SConstructionData : SBehaviorData
{
	//structure data
	EConstruction	m_eConstruction;

	//structure methods
	//setup
	public:		SConstructionData(EConstruction eConstruction) { m_eConstruction = eConstruction; }
};

struct SEventData : SBehaviorData
{
	//structure data
	int			m_iEvent;
	bool		m_bPlaySound;
	ldwPoint	m_sPos;

	//structure methods
	//setup
	public:		SEventData(const int iEvent, const bool bPlaySound, const ldwPoint sPos) { m_iEvent = iEvent; m_bPlaySound = bPlaySound; m_sPos = sPos; }
};

struct SGatherHerbsData : SBehaviorData
{
	//structure data
	ECarrying	m_eHerb;

	//structure methods
	//setup
	public:		SGatherHerbsData(ECarrying eHerb) { m_eHerb = eHerb; }
};

struct SHarvestFruitData : SBehaviorData
{
	//structure data
	int			m_iTree;

	//structure methods
	//setup
	public:		SHarvestFruitData(int iTree) { m_iTree = iTree; }
};

struct SPickUpData : SBehaviorData
{
	//structure data
	ECarrying	m_eCarrying;

	//structure methods
	//setup
	public:		SPickUpData(ECarrying eCarrying) { m_eCarrying = eCarrying; }
};

struct SPlantTreeData : SBehaviorData
{
	//structure data
	ldwPoint	m_sTreePos;

	//structure methods
	//setup
	public:		SPlantTreeData(ldwPoint sTreePos) { m_sTreePos = sTreePos; }
};

struct SPosData : SBehaviorData
{
	//structure data
	ldwPoint	m_sPos;

	//structure methods
	//setup
	public:		SPosData(ldwPoint sPos) { m_sPos = sPos; }
};

struct SRefuseData : SBehaviorData
{
	//structure data
	StringId	m_eSay;
	int			m_iValue;

	//structure methods
	//setup
	public:		SRefuseData(StringId eSay, const int iValue = -1) { m_eSay = eSay; m_iValue = iValue; }
};

struct SStringData : SBehaviorData
{
	//structure data
	StringId	m_eStringId;

	//structure methods
	//setup
	public:		SStringData(StringId eStringId) { m_eStringId = eStringId; }
};

struct SFollowVillagerData : SBehaviorData
{
	//structure data
	int  m_villagerIndex;

	//structure methods
	//setup
	public:		SFollowVillagerData(int index) { m_villagerIndex = index; }
};

struct SHeathenRoleData : SBehaviorData
{
	//structure data
	//TODO: Fix type dependency
	int/*CVillager::EHeathenRoles*/	m_eHeathenRole;

	//structure methods
	//setup
	public:		SHeathenRoleData(const int/*EHeathenRoles*/ eHeathenRole) { m_eHeathenRole = eHeathenRole; }
};

typedef void (* LPBEHAVIORMACRO)(CVillager &Villager);
typedef void (* LPBEHAVIORMACROWITHDATA)(CVillager &Villager, const SBehaviorData &sData);
typedef void (* LPBEHAVIORMACROWITHPOSDATA)(CVillager &Villager, const SPosData &sData);
typedef void (* LPBEHAVIORMACROWITHCONSTRUCTIONDATA)(CVillager &Villager, const SConstructionData &sData);
typedef void (* LPBEHAVIORMACROWITHEVENTDATA)(CVillager &Villager, const SEventData &sData);
typedef void (* LPBEHAVIORMACROWITHGATHERHERBSDATA)(CVillager &Villager, const SGatherHerbsData &sData);
typedef void (* LPBEHAVIORMACROWITHHARVESTFRUITDATA)(CVillager &Villager, const SHarvestFruitData &sData);
typedef void (* LPBEHAVIORMACROWITHPICKUPDATA)(CVillager &Villager, const SPickUpData &sData);
typedef void (* LPBEHAVIORMACROWITHPLANTTREEDATA)(CVillager &Villager, const SPlantTreeData &sData);
typedef void (* LPBEHAVIORMACROWITHREFUSEDATA)(CVillager &Villager, const SRefuseData &sData);
typedef void (* LPBEHAVIORMACROWITHSTRINGDATA)(CVillager &Villager, const SStringData &sData);
typedef void (* LPBEHAVIORMACROWITHFOLLOWDATA)(CVillager &Villager, const SFollowVillagerData &sData);
typedef void (* LPBEHAVIORMACROWITHHEATHENROLEDATA)(CVillager &Villager, const SHeathenRoleData &sData);

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CBehavior
{
	friend class CVillager;

public:
	
	CBehavior(void);

	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACRO pMacro);
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHDATA pMacro);

	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHPOSDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); };
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHCONSTRUCTIONDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHEVENTDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHGATHERHERBSDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHHARVESTFRUITDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHPICKUPDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHPLANTTREEDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHREFUSEDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHSTRINGDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHFOLLOWDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }
	static void SetMacro(const EBehavior eBehavior, const LPBEHAVIORMACROWITHHEATHENROLEDATA pMacro) { SetMacro(eBehavior, (LPBEHAVIORMACROWITHDATA)pMacro); }

	bool NeedsPositioning() { return m_needsPositioning; }
	void SetNeedsPositioning(bool needsPositioning) { m_needsPositioning = needsPositioning; }
	int  HowLong() { return m_howLong; }
	void SetHowLong(int howLong) { m_howLong = howLong; }
	int  WhichTarget() { return m_whichTarget; }
	void SetWhichTarget(int whichTarget) { m_whichTarget = whichTarget; }
	int  WhichHut() { return m_whichHut; }
	void SetWhichHut(int whichHut) { m_whichHut = whichHut; }

protected:

	const bool BeginNewBehavior(CVillager &Villager, const EBehavior eBehavior, const SBehaviorData &sData = SBehaviorData()) const;

private:
	
	static void Idle(CVillager &Villager);
	static void SwimPond (CVillager &Villager);
	static void SoakInPools(CVillager &Villager);
	static void SoakInPoolsParty(CVillager &Villager);
	static void DoResearch(CVillager &Villager);
	static void HugSprite(CVillager &Villager);
	static void WaitForContact (CVillager &Villager);
	static void GoInHouse(CVillager &Villager);
	static void RunAway(CVillager &Villager, const SStringData &sData);
	static void RunAwayGeneric(CVillager &Villager);
	static void RunAwayBeesShort(CVillager &Villager);

	static void Dance(CVillager &Villager);
	static void Construct(CVillager &Villager, const SConstructionData &sData);
	static void HonorTheDead(CVillager &Villager);
	static void RainDance(CVillager &Villager);
	static void Relaxing(CVillager &Villager);
	static void School(CVillager &Villager); //10_23_06
	static void FoundSchool(CVillager &Villager);
	static void GatherKindling(CVillager &Villager);
	static void GatherFirewood(CVillager &Villager);
	static void StartFire(CVillager &Villager);
	static void WashFeet(CVillager &Villager);
	static void DrinkWater(CVillager &Villager);
	static void StrollAroundLake(CVillager &Villager);
	static void WanderCemetery(CVillager &Villager); 
	static void HangOutPond(CVillager &Villager); 


	static void CuriousHerb5(CVillager &Villager);

	static void Confused(CVillager &Villager, const SStringData &sData);
	static void NotFeelingWell(CVillager &Villager);
	static void NotFeelingWell2(CVillager &Villager);
	static void DiveSW(CVillager &Villager);
	static void DiveSE(CVillager &Villager);
	static void PickShroom(CVillager &Villager, const SPickUpData &sData);
	static void PickCollectable(CVillager &Villager, const SPickUpData &sData);
	static void ShakeHead(CVillager &Villager);
	static void HealSprite(CVillager &Villager);
	static void Evangelize(CVillager &Villager);
	static void Sit(CVillager &Villager);
	static void ListenToEvangelist(CVillager &Villager);
	static void Interact(CVillager &Villager);
	static void NotFeelingWell3(CVillager &Villager);
	static void JumpingContest(CVillager &Villager);
	static void JumpInPlace(CVillager &Villager);
	static void NotFeelingWell4(CVillager &Villager);
	static void DrinkingRain(CVillager &Villager);
	static void DoingLaundry(CVillager &Villager);
	static void BlessingsDayDance (CVillager &Villager);
	static void DayOfTheDeadDance (CVillager &Villager);
	static void IsolaDayDance (CVillager &Villager);
	static void Footrace(CVillager &Villager);

	static void BuryDead(CVillager &Villager);
	static void Exercising(CVillager &Villager);
	static void CelebrateEvent(CVillager &Villager, const SEventData &sData);
	static void RepairLoveshack(CVillager &Villager);
	static void Eat(CVillager &Villager);
	static void Danceparty(CVillager &Villager);
	static void InspectingHut(CVillager &Villager, const SConstructionData &sData);
	static void RepairHut (CVillager &Villager, const SConstructionData &sData);

	static void GenericSlowWander(CVillager &Villager);
	static void GenericWarming(CVillager &Villager);
	static void KidSpaz(CVillager &Villager);
	static void NatureCalls (CVillager &Villager);
	static void TellStory(CVillager &Villager);
	static void ListenStory(CVillager &Villager);
	static void RestInHospital(CVillager &Villager);
	static void ChangeClothes (CVillager &Villager);

	static void Blessings(CVillager &Villager);
	static void Sneezing(CVillager &Villager);
	static void Lonely(CVillager &Villager);
	static void WashBaby(CVillager &Villager);
	static void ChangeBaby(CVillager &Villager);
	static void ObserveAdults(CVillager &Villager);

	static void Refuse(CVillager &Villager, const SRefuseData &sData);
	static void GatherHerbs(CVillager &Villager, const SGatherHerbsData &sData);
	static void WorryAboutFood(CVillager &Villager);
	static void Bored(CVillager &Villager);
	static void LookForMushrooms(CVillager &Villager);
	static void Stumbling(CVillager &Villager);
	static void DoingExercise(CVillager &Villager);
	static void Faint(CVillager &Villager);
	static void TooHot(CVillager &Villager);
	static void TooCold(CVillager &Villager);
	static void Itchy(CVillager &Villager);
	static void Paralyzed(CVillager &Villager);

	//some new alch bevs. april 21 arthur
	static void BubbleBreath(CVillager &Villager);
	static void Hiccup(CVillager &Villager);
	static void HiccupInCenter(CVillager &Villager);
	static void GarlicInCenter(CVillager &Villager);
	static void BubblesInCenter(CVillager &Villager);
	static void PlayInDirt(CVillager &Villager);
	static void MomTeachingTalk(CVillager &Villager);

	static void LayDown(CVillager &Villager);
	static void SitDown(CVillager &Villager);
	static void Spirituality(CVillager &Villager);
	static void Trance(CVillager &Villager);
	static void LookingForAGrownUp(CVillager &Villager);
	static void ChildrenPlayInPuddles(CVillager &Villager);
	static void LostChildrenSupportBevmac(CVillager &Villager);
	static void HuddleAroundFire(CVillager &Villager);

	static void ShowBabyHerbs(CVillager &Villager);
	static void HidingSomething(CVillager &Villager);

	static void SpringCleaning(CVillager &Villager);

	static void DepositInFoodBin(CVillager &Villager);

	static void StudyMedicine(CVillager &Villager);
	static void HeathenStudyMedicine(CVillager &Villager);
	static void HeathenMedicineDance(CVillager &Villager);

	static void GettingOutOfRain(CVillager &Villager);
	static void HeathenGettingOutOfRain(CVillager &Villager);
//	static void PortableFrenzy (CVillager &Villager, int x, int y);//, const char *behaviorLabel);

	static void PlayingInSand(CVillager &Villager);
	static void CleaningAfterStorm(CVillager &Villager);
	static void PickBlackberries(CVillager &Villager);
	static void HarvestCrops(CVillager &Villager);

	static void DrinkFromStream(CVillager &Villager);

	//walter work area
	static void CuriousKindling(CVillager &Villager);
	static void CuriousDryWood(CVillager &Villager);
	static void CuriousHerb1(CVillager &Villager);
	static void CuriousHerb2(CVillager &Villager);
	static void CuriousHerb3(CVillager &Villager);
	static void WatchingDebris(CVillager &Villager);
	static void ShowBabyBerries(CVillager &Villager);
	static void TakeAShower(CVillager &Villager);
	static void WashingUp(CVillager &Villager);
	static void PlayingInNursery(CVillager &Villager);
	static void PickBlackberriesTool(CVillager &Villager);
	static void KidPracticalJoke1(CVillager &Villager);
	static void SwimInOcean(CVillager &Villager);
	static void LookingForMommy(CVillager &Villager);
	static void WatchingClouds(CVillager &Villager);
	static void GuardingFirewood(CVillager &Villager);
	static void DoHeathenResearch(CVillager &Villager);
	static void HeathenPickBlackberries(CVillager &Villager);
	static void HeathenBathing(CVillager &Villager);
	static void WashUpInStream(CVillager &Villager);
	static void ShowBabyStream(CVillager &Villager);

	static void VillagerBathing(CVillager &Villager);
	static void HangOutHeathenCenter(CVillager &Villager);
	static void RunFromLightning(CVillager &Villager);
	static void	PolishBelieverIdolBehavior(CVillager &Villager);
	static void	PrayToBelieverIdol(CVillager &Villager);
	static void	SpreadTheWord(CVillager &Villager);
	static void	HeathenNatureCalls(CVillager &Villager);
	static void	HeathenPacePools(CVillager &Villager);
	static void	HeathenEatDirt(CVillager &Villager);
	static void	HeathenScratchForRoots(CVillager &Villager);
	static void	HeathenHideInWater(CVillager &Villager);
	static void	HeathenResting(CVillager &Villager);
	static void	HeathenObserveProof(CVillager &Villager);
	static void	HeathenDisaprooveProof(CVillager &Villager);
	static void	HeathenApproveProof(CVillager &Villager);
	static void	HeathenPickingFish(CVillager &Villager);
	static void HeathenExcitedAboutPuddles(CVillager &Villager);
	static void	HeathenConsultChief(CVillager &Villager);
	static void	Comfort(CVillager &Villager, const SHeathenRoleData &sData);
	static void	PlayTag(CVillager &Villager);
	static void	InstallEyeBehavior(CVillager &Villager);
	static void	DoctorDropNecklacePiece(CVillager &Villager);
	static void	CuriousMedicineTotem(CVillager &Villager);
	static void	CuriousResearchTotem(CVillager &Villager);
	static void	CuriousHiddenGrove(CVillager &Villager);
	static void	CuriousFoodTotem(CVillager &Villager);
	static void	CuriousBuildingTotem(CVillager &Villager);
	static void	CuriousChildrensTotem(CVillager &Villager);
	static void	CuriousRainbowTotem(CVillager &Villager);
	static void	CuriousAqueduct(CVillager &Villager);
	static void	CuriousDrawingBoard(CVillager &Villager);
	static void	CuriousMausoleum(CVillager &Villager);
	static void	CuriousBuildingChallenge(CVillager &Villager);
	static void	CuriousFilthyEncampment(CVillager &Villager);
	static void	CuriousRuinedLab(CVillager &Villager);
	static void	AllHideFromIrritant(CVillager &Villager);
	static void CelebrateMushrooms (CVillager &Villager);
	static void FumigatingBedbugs (CVillager &Villager);
	static void ShowBabyIdol (CVillager &Villager);
	static void ShowBabyAqueduct(CVillager &Villager);
	static void ShowBabyGrove(CVillager &Villager);
	static void WalkRiver(CVillager &Villager);
	static void HeckleStoryteller(CVillager &Villager);
	static void LastHeathenPuzzleBehavior(CVillager &Villager);
	static void ListenToBiggles(CVillager &Villager);
	static void BigglesSearchParty(CVillager &Villager);

	//end walter work area

	//arthur work area
	static void RunToPlace(CVillager &Villager, const SPosData &sData);
	static void RunToCelebrate(CVillager &Villager, const SPosData &sData);
	static void GuardFoodTotem(CVillager &Villager);
	static void GuardLabTotem(CVillager &Villager);
	static void GuardLab(CVillager &Villager);
	static void GuardBerries(CVillager &Villager);
	static void SickieHeathen(CVillager &Villager);

	static void CelebrateConversion(CVillager &Villager);
	
	static void CelebrateFreeFood(CVillager &Villager);
	static void GotoThenCelebrateFreeFood(CVillager &Villager, const SPosData &sData);

	//end arthur area

	static void PlayWithButterflies(CVillager &Villager);
	static void StompMushroom(CVillager &Villager, const SPosData &sData);

	static void HeathenChiefMull(CVillager &Villager);
	static void HeathenChiefResearcherMull(CVillager &Villager);
	static void HeathenChiefFarmerMull(CVillager &Villager);
	static void HeathenChiefBuilderMull(CVillager &Villager);

	static void ChaseVillager(CVillager &Villager, const SFollowVillagerData &sData);
	static void RunToSafety(CVillager &Villager);
	static void RunFromScaryHeathen(CVillager &Villager);
	static void RunAwayLab(CVillager &Villager);

	static void DirectAqueductRepair(CVillager &Villager);
	static void RepairAqueduct(CVillager &Villager);
	static void GetFish(CVillager &Villager);

	//class structures
	struct SBehavior
	{
		LPBEHAVIORMACRO			m_pMacro;
		bool					m_bRequiresData;
	};

	//class data
	static SBehavior		m_sBehavior[eBehavior_NumberOf];

	StringId				m_sayWhat;
	bool					m_needsPositioning;
	int						m_buildWhat;
	int						m_howLong;
	int						m_whichTarget;
	int						m_whichHut;
	int						m_whichEvent;
	bool					m_startsSound;
	int						m_whichIngredient;
	ldwPoint				m_totemPos;
};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CBehavior		Behavior;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/