/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	ContentMapUtil
**
** DESCRIPTION:	Utilities for working with ContentMap
**
**
\******************************************************************************/

#ifndef CONTENTMAPUTIL_H
#define CONTENTMAPUTIL_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/

#include "ContentMap.h"
#include "../Utils/theGraphicsManager.h"

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CContentMapUtil
{
public:

	//setup
	CContentMapUtil(void) {}

	void CreateMapMaskFromImage(EImage imageId,int cell,int maskWidth,int maskHeight,char *mapMask);

	void SetFromMask(ldwPoint pos,int maskWidth,int maskHeight,char *mapMask,CContentMap::SContent &content);
	void ClearUnderMask(ldwPoint pos,int maskWidth, int maskHeight,char *mapMask,CContentMap::SContent &content);

	bool IsClearUnderMask(ldwPoint pos,int maskWidth,int maskHeight,char *mapMask);
};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CContentMapUtil	ContentMapUtil;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/