/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	DarkClouds
**
** DESCRIPTION:	DarkClouds layer effect
**
**
\******************************************************************************/

#ifndef DARKCLOUDS_H
#define DARKCLOUDS_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/
#include "ldwTypes.h"

class ldwImage;

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/
const int DarkClouds_c_iMaxDarkCloudsLayers = 3;
const int DarkClouds_c_iMaxDarkCloudsCloudsPerLayer = 40;

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CDarkClouds
{
public:
	//class methods
	//setup

	CDarkClouds();
	~CDarkClouds();
	void Reset();
	void LoadAssets();
	void ReleaseAssets();

	//process
	bool Update();
	void Draw();
	void Stop();

	//access
private:

	//class structures
	struct SDarkClouds
	{
		float			m_fXPos;
		float			m_fYPos;
		float			m_fTargetXPos;
		float			m_fTargetYPos;
		float			m_fVelX;
		float			m_fVelY;
		float			m_fAlpha;
		unsigned int	m_uiFadeOffTime;
		ldwImage *		m_Image;
		bool			m_bIsFadingOn;
	};

	//class data
	SDarkClouds			m_DarkClouds[DarkClouds_c_iMaxDarkCloudsLayers][DarkClouds_c_iMaxDarkCloudsCloudsPerLayer];
	ldwPoint			m_sWorldPos;

	int					mDoingIntro;
	bool				mActive;

};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CDarkClouds		DarkClouds;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/