/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	Editor
**
** DESCRIPTION:	Handles in-game editors
**
**      AUTHOR:	Adrian Francis
**
\******************************************************************************/

#ifndef EDITOR_H
#define EDITOR_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/
#include "ldwTypes.h"
#include "EditorInterface.h"

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CEditor
{
public:

	//class methods
	//setup
	CEditor(void);
	void Reset();

	// process
	void Draw();
	const bool HandleKeyCharacter(const char cKey);
	const bool HandleKeyDown(const int iKeyCode);
	const bool HandleKeyUp(const int iKeyCode);
	const bool HandleMouseDown(const ldwPoint sMousePos);
	const bool HandleMouseUp(const ldwPoint sMousePos);
	const bool HandleMouseMove(const ldwPoint sMousePos);

	// access
	const bool IsActive() const { return m_pCurrentEditor != 0; }
	
	bool ShowDecals();

private:

	bool m_bMoveMenu;

	//class data
	IEditor *	m_pCurrentEditor;
};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CEditor		Editor;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/