/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	FaithMeter
**
** DESCRIPTION:	Faith meter
**
**      AUTHOR:	Adrian Francis
**
\******************************************************************************/

#ifndef FAITH_METER_H
#define FAITH_METER_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/
#include "ldwTypes.h"

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CFaithMeter
{
private:

	//class data
	float		m_fFaith;
	float		m_fFaithChange;

	//class methods
	//setup
	public:		CFaithMeter();
	public:		void Reset(void);

	//process
	public:		void Update(const int iTargetFaith);
	public:		void Draw(const ldwPoint sCenterPos, const float fScale = 1.0f);

	//access
};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CFaithMeter		FaithMeter;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/