/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	MausoleumScene
**
** DESCRIPTION:	Mausoleum scene displays the dead
**
**
\******************************************************************************/

#ifndef THE_MAUSOLEUM_SCENE_H
#define THE_MAUSOLEUM_SCENE_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/

#include "ldwScene.h"
#include "ldwTextControl.h"

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CMausoleumScene : public ldwScene
{
public:
	
	static CMausoleumScene *Get();
	static CMausoleumScene &Ref();
	static void Destroy();

	bool HandleKey(int iMessageID, int iKeyCode, int iCharacter);
	bool HandleMessage(int iMessageID, long iData);
	bool HandleMouse(int iMessageID, ldwPoint sMousePos);

protected:

	void Activate(bool bIsActive);
	void UpdateScene();
	void DrawScene();

private:

	void DrawTomb(int whichCorpse,ldwPoint tombPoint);

	int PointOnCorpse(ldwPoint location);

	void AdjustScrollPos(int howMuch);


	ldwTextControl *		m_pPlayerCommField;
	enum EButton
	{
		eButton_Done = 0,
		eButton_UpArrow = 1,
		eButton_DownArrow=2,

		eButton_NumberOf
	};

	static CMausoleumScene *		m_pInstance;

	CMausoleumScene();
	~CMausoleumScene();

	//prevent copy

	CMausoleumScene(const CMausoleumScene &);
	CMausoleumScene & operator = (const CMausoleumScene &);

	int 	mNumGraves;

	int		mRowHeight;
	int		mMinKnobHeight;
	int		mScrollTrackOffsetX;

	ldwRect  mScrollWindowRect;
	ldwRect  mScrollBarRect;
	ldwRect  mScrollKnobRect;

	bool mScrollKnobDrag;
	int  mScrollDragY;
	int  mScrollKnobMaxY;

	bool mHandScrollDrag;
	int  mHandScrollDragY;

	int mScrollPos;

	int mScrollAreaHeight;
	int mScrollableHeight;

	

};

inline CMausoleumScene& MausoleumScene() {return CMausoleumScene::Ref();}

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/