/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	NurserySchool
**
** DESCRIPTION:	Nursery School Puzzle
**
**
\******************************************************************************/

#ifndef NURSERY_SCHOOL_H
#define NURSERY_SCHOOL_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/

#include "PuzzleInterface.h"

class CVillager;

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class CNurserySchool : public IPuzzle
{
	friend class CPuzzle;

public:

	CNurserySchool(void);

	void Reset();

	const int LoadState(const unsigned char *pData);
	const int SaveState(const unsigned char *pData, const int iMaxDataSize) const;

	const int SaveStateSize() {return sizeof (SSaveState);}

	// process
	void Refresh();
	void Draw() const;
	void Draw(const int iRef);
	void Update();
	void Advance(CVillager &Villager, const int iRef);
	void Complete();

	bool MaybeStartTeaching(CVillager *villager);
	bool HasTeacher();

	CVillager*	GetTeacher();

	// access

private:

	struct SSaveState
	{
	};

	int	m_teacherIndex;

};

/******************************************************************************\
** GLOBAL DECLARATIONS
\******************************************************************************/
extern CNurserySchool		NurserySchool;

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/