//
//		Definition of the main game class
//
#ifndef THE_SLICED_VARIABLE_METER_H
#define THE_SLICED_VARIABLE_METER_H


#include "ldwScene.h"
#include "../World/WorldMap.h"
#include "ldwGameWindow.h"
#include "ldwImage.h"

class ldwButton;


class theGameState;
class ldwTextControl;

//CLASS DEFINES
//#define cMeterThickness 23
#define cSlMeterFullWidth 256
#define cSlTSMeterFullWidth 270
//#define cMeterFrameXOffset 7
//#define cMeterFrameYOffset 5
//#define cMeterTransparency 0.9f
#define cMeterSliceWidth 4
#define cVdXPos 571
#define cVdFarmYPos 299
#define cVdConstructYPos 341
#define cVdResearchYPos 383
#define cVdHealYPos 427
#define cVdBreedYPos 468
#define cVdFaithYPos 40
#define cVdHealthYPos 170
#define cVdManaYPos 18
#define cVdManaXPos 54
#define cVdEvangelismYPos 508
#define cTSXL 93
#define cTSXR 422
#define cTSYFarmMedPos 158
#define cTSYFertBuildPos 294
#define cTSYSciSpiritPos 431
#define c_iMaxMana 1000
#define c_iMaxRenderedManaWidth 372// was 690, bitmap was 700 wide

 
//...typedefs etc


typedef enum
{
	eSlRedMeter,
	eSlGreenMeter,
	eSlBlueMeter,
	eSlVdFarming,
	eSlVdConstruction,
	eSlVdResearch,
	eSlVdHealing,
	eSlVdBreeding,
	eSlVdHealth,
	eSlVdFaith,
	eSlVdMana,
	eSlVdEvangelism,
	eSlNoMeter

} SlMeterColorEnum;	



//END DEFINES

//BEGIN CLASS DECLARATION
class theSlicedVariableMeter 
{
public:

	static theSlicedVariableMeter * Get();
	static void Destroy();

	theSlicedVariableMeter();
	~theSlicedVariableMeter();
	void DrawPercentMeter(SlMeterColorEnum flavor, int fillPercent);
//	void SetMaxMana(int value) {m_iManaMeterFullWidth = value; }
	void DrawManaMeter(int x,int y,int maxMana, int currentMana, int highlightedMana = 0);
	void SetStartManaMeterPulse();
protected:
	


	static theSlicedVariableMeter *mInstance;
private:
    
	ldwGameWindow *gameWindow;
	theGameState  *gs;
	ldwImage *bambooMeterFrame;
	ldwImage *statusSliceB;
	ldwImage *faithMeterBG;
	ldwImage *statusSliceR;
	ldwImage *thermomBulb;
	ldwImage *statusSliceG;
	ldwImage *blueStatusGlow;
	int manaMeterFrames;
	bool startManaMeterPulse;

	//int m_iManaMeterFullWidth;
};
#endif