//
//		Definition of the String Manager class
//
//
#ifndef THE_STRING_MANAGER_H
#define THE_STRING_MANAGER_H

#include "ldwFont.h"

#define numRandomTips 50

enum StringId
{
	eNoString = -1,

	eNULLString = 0,

	eTIME_STOPPED,

	//ISOLA STRINGS
	//DEALER SAY'S

	eSayStompingMushroom,

	eString_SpawnButterfliesHint,
	eString_SwarmOfBeesHint,
	eString_SunshineHint,
	eString_LightningStrikeHint,
	eString_HandOfBloomHint,
	eString_RainStormHint,
	eString_EarthquakeHint,
	eString_FogOfDoomHint,
	eString_TimeWarpHint,
	eString_GrantYouthHint,
	eString_ReanimateHint,

	eString_SpawnButterfliesDetailHint,
	eString_SwarmOfBeesDetailHint,
	eString_SunshineDetailHint,
	eString_LightningStrikeDetailHint,
	eString_HandOfBloomDetailHint,
	eString_RainStormDetailHint,
	eString_EarthquakeDetailHint,
	eString_FogOfDoomDetailHint,
	eString_TimeWarpDetailHint,
	eString_GrantYouthDetailHint,
	eString_ReanimateDetailHint,

	eString_PowerIsLocked,
	eString_Locked,

	eString_RunningFromBees,
	eString_ChasingIntruder,
	eString_RunningToSafety,

	eString_PlayingJokeOnAdults,
	eString_SwimmingInOcean,
	eString_RelaxingInTheOcean,
	eString_TryingToCatchAFish,
	eString_TakingFlowerToLab,
	eString_ChiefChangesBoatPeeps,
	eString_BurpingUpSoapBubbles,
	eString_ThrowingUpStew,
	eString_ShowingBabyBeach,
	eString_ShowingBabyBlackberries,
	eString_ShowingBabyIdol,
	eString_ShowingBabyRuinedAqueduct,
	eString_ShowingBabyAqueduct,
	eString_ShowingBabyTheTree,
	eString_JumpingContest,
	eString_Racing,
	eString_WatchingDebrisBuildUp,
	eString_SnoopingMausoleum,
	eString_CuriousAboutHerbs,
	eString_CuriousAboutDryWood,
	eString_CuriousAboutDriedGrass,
	eString_CuriousAboutPuddle,
	eString_CantWashLaundry,
	eString_GoingToPlayInNursery,
	eString_TryingToDecideOnActivity,
	eString_LearningAboutMagic,
	eString_GoofingOffWithShells,
	eString_LearningAboutWriting,
	eString_LearningAboutNature,
	eString_LearningAboutReading,
	eString_LearningAboutMusic,

	eString_GraveIsEmpty,
	eString_OnlyPureOfBodyCanEnter,
	eString_OnlyPureOfMindCanSee,
	eString_PurifyingTree,	
	eString_NotEnoughWaterInPond,	
	eString_GettingCleanInPond,
	eString_SeesGoodPlaceForBath,
	eString_SeesGoodPlaceForMeditation,
	eString_Meditating,
	eSayNotPeacefulEnoughToMeditate,
	eSayMadeANewBeliever,
	eSayStoppedBelieving,

	eString_Select,
	eString_Reject,
	eString_SelectSceneTitle,
	eString_Completed,
	eString_Mausoleum,
	eString_DrinkingFromStream,

	eString_AskNeedHelp,
	eSayCanMoveHut,

	eSayUnhappyFrogs,
	eSayRescuingFrogs,

	eSayFood,
	//eSayTechPoints,
	eSayBetterFarming,
	eSayVillagerSelected,
	eSayClickToZoom,
	eSayClickToContinue,
	eSayTryingToLearn,
	eSayEatingHealed,

	eSayWelcome,
	eSayTryingToResearch,
	eSayBetterResearch,
	eSayMasteredHerb,
	eSayFailedResearch,
	eSayOuch,
	eSayFailedSkill,
	eSayBetterBreeding,
	eSayAlreadyMaster,
	eSayBetterConstruction,
	eSayBetterEvangelism,
	eSayConfusedTech,
	eSayMoreTechToContinueStatue,
	eSayLearnFailed,
	eSayBetterHealing,
	eSayNeedFirewood,
	eSayNeedFire,
	eSayNeedGold,
	eSayPotInUse,
	eSayGoldPotEmpty,
	eSayGoldPotQuarter,
	eSayGoldPotHalf,
	eSayGoldPotFull,
	eSayPanInUse,
	eSayFoundPan,
	eSayNoGoldThisTime,
	eSayMissingEye,
	eSayNeedKindling,
	eSayOnlyChildren,
	eSayOnlyScientist,
	eSayFoodLevel,
	eSayConcernedFood,
	eSaySickCannotMate,
	eSayUnknown,
	eSayAlreadyPregnant,
	eSaySameGender,
	eSayNoClick,
	eSayNoNoFruit,
	eSayConcernedHousing,
	eSayAlreadyDoneToday,
	eSayTooYoung,
	eSayTooOld,
	eSayGameOver,
	eSayNoFruit,
	eSaySkillSet,
	eSayFullyResearched,
	eSayInsufficientTechPts,
	eSayDaughterOf,
	eSaySonOf,
	eSayOnlyRegistered,
	eSayNoFishing,
	eSayIsDead,
	eSayNeedLoveshack,
	eSayFoundCrab,
	eSayGamePaused,
	eTechPointsAvailable,
	eTechNotAvailableInDemo,
	eSayMana,
	eSayTechPoints,
	eSayTechPointsTable,
	eSayBlockageProgress,
	eSayConstructionProgress,
	eSayIdolProgress,
	eSayAqueductProgress,
	eSayFireProgress,
	eSayNotEnoughToHarvest,
	eSayNoFoodbin,
	eSayTechPointsAvail,
	eSayKidsCantSwim,
	eSayYouCannotSee,
	eSayOnlyAdeptBuilder,
	eSayOnlyMasterBuilder,
	eSayNoRepairNeeded,
	eSayConfirmDelete,
	eSayConfirmRestart,
	eSayGoodDrag,
	eSayGoodVillagerDrag,
	eSayOnlyMasterFarmer,
	eSayPuzzleIncomplete,
	eSayCommonRelics,		
	eSayUncommonRelics, 
	eSayRareRelics,		
	eSayCommonScienceItem,		
	eSayUncommonScienceItem,	
	eSayRareScienceItem,		
	eSayNecklacePiecesFound,
	eSayInternalError,
	eSayOK,
	eSayHelp,
	eSayMenu,
	eSayCredits,
	eSayPuzzles,
	eSayCollections,
	eSayMap,
	eSayTech,
	eSayDetail,
	eSayTrophies,
	eSayYes,
	eSayNo,
	eSaySkipIntro,
	eSayExpired,
	eSayLoading,
	eSayPopulation,
	eSayName,
	eSaySkill,
	eSayAction,
	eSayFaith,
	eSayUntrained,
	eSayNovice,
	eSayApprentice,
	eSayTrainee,
	eSayAdept,
	eSayMaster,
	eSayElder,
	eSayChief,
	eSayFarmer,
	eSayParent,
	eSayBuilder,
	eSayScientist,
	eSayDoctor,
	eSayEvangelist,
	eSayRascal,
	eSayRetiredChief,
	eSayHeathenChief,
	eSayHeathenMasterBuilder,
	eSayHeathenMasterResearcher,
	eSayHeathenMasterFarmer,
	eSayHeathenMasterDoctor,
	eSayHeathenMasterParent,
	eSayDone,
	eSaySeesMushroom,
	eSayLookingExcitedly,
	eSaySeesClothingHutSite,
	eSayRestHospital,
	eSaySeesDrawingBoard,
	eSaySeesNecklacePiece,
	eSaySeesMaskOnStump,
	eSayChiefMumbles,
	eBevLabelBringNecklaceToChief,
	eSaySeesSomeNecklacePieces,
	eSaySeesAllNecklacePieces,
	eSayCannotBuyClothes,
	eSayNotEnoughNecklacePieces,
	eSayEyeTotemNotSolved,
	eSayAdultsDontFit,
	eSayChallengeHeathenBuilder,
	eSayHeathenBuilderAccept,
	eSayHeadHurts,

	eSaySeesSomething,
	eSayTryWork,
	eSayCouldTryResearch,
	eSaySeesTheFirePit,
	eSaySeesDeepWater,
	eSaySeesTheFire,
	eSaySeesKindling,
	eSaySeesFirewood,

	eSaySeesAHeathen,
	eSaySeesAnAggressiveHeathen,
	eSaySeesAScaryHeathen,
	eSaySeesAVerySickHeathen,

	eSayPercentBlocked,
	eSayPercentDebris,
	eSayRubbleRemaining,
	eSayFenceProgress,
	eSaySeesBlackberries,
	eSayItLooksUnsafe,
	eSayGoodPlaceToFish,
	eSayNoFish,
	eSayDriedUpLakeBed,

	eSayWanderAround,
	eSaySeesTreeTrunk,
	eSayTryGetFish,
	eSayStompingFruit,

	eSayTooHeavy,
	eSayNotSmartEnuf,
	eSaySeesHerb1,
	eSaySeesHerb2,
	eSaySeesHerb3,
	eSaySeesHerb4,
	eSayShouldBeTornDown,
	eSayNoFire,

	eSayAllPlantsDead,
	eSayAqueductBroken,
	eSayAlreadySomeoneDirecting,
	eSayNotStrongEnough,
	eSayTooComplicated,

	eSaySeesHospital,
	eSaySeesClothingHut,
	eSaySeesLoveShack,
	eSaySeesStonePile,
	eSaySeesRubble,
	eSaySeesFoodbin,
	eSaySeesLowFoodbin,
	eSaySeesAbundantFoodbin,
	eSaySeesEmptyFoodbin,
	eSaySeesCorpse,
	eSaySeesVillager,
	eSaySeesVillagerWithBaby,
	eSaySeesResearchEquipment,
	eSaySeesResearchTable,
	eSaySeesDebris,
	eSaySeesHouse,
	eSaySeesDamagedHouse,
	eSaySeesSignificantlyDamagedHouse,
	eSaySeesSeverelyDamagedHouse,
	eSaySeesTree,
	eSaySeesBrokenAqueduct,
	eSaySeesRepairedAqueduct,
	eSayPlay,
	eSayStartOver,
	eSayOptions,  
	eSayQuit,
	eSayBuyNow,
	eSayChangePlayer,
	eSayCurrentPlayer,
	eSayBuy,
	eSayTechPointsCln,
	eSayTechnologies,
	eSayLevel1,
	eSayLevel2,
	eSayLevel3,
	eSayFarming,
	eSayHereLies,
	eSayJob,
	eSayAge,
	eSortBy,
	eSayHealth,
	eSayDecomposing,
	eSayNothing,
	eSayGoingVlgCenter,
	eSayMeditating,
	eSayTooSoonToEvangelize,
	eSayHeathenGainedFaith,
	eSayNatureCalling,
	eSayGettingNewClothes,
	eSayStrolling,
	eSayStrollingLake,
	eSayExercising,
	eSayCuriousCreek,
	eSayCuriousDryGrass,
	eSayCuriousRoster,
	eSayCuriousCoconuts,
	eSayCuriousFire,
	//here now
	eSayRainDancing,
	eSayLaundry,
	eSayComforting,
	eSayChatting,
	eSayTellingJoke,
	eSayArguing,
	eSayComplaining,
	eSayPraising,
	eSayTeaching,
	eSayNotFeelWell,
	eSayAgitated,
	eSayForaging,
	eSayBuildingHut,
	eSayBuildingNursery,
	eSayBuildingLoveShack,
	eSayBuildingHospital,
	eSayBuildingClothingHut,
	eSayBuilgingHospital,
	eSayExaminingHut,
	eSayFixingHut,
	eSayRebuildingLoveshack,
	eSayResearching,
	eSayGoingIndoors,
	eSayGatheringFirewood,
	eSayStartingFire,
	eSayGatheringKindling,
	eSayRunningAway,
	eSayHeardEnough,
	eSayNeedAdeptResearcher,
	eSayBuryDead,
	eSayCelebrating,
	eSayPlayingWithButterflies,
	eSayHonoring,
	eSaySpreadingTheWord,
	eSayNoFood,
	eSayNoFireForFruit,
	eSayRocksNotHot,
	eSayRocksNeedToBeCovered,
	eSayRocksMissingFromPit,
	eSayPickingMushroom,
	eSayPickingCollectable,
	eSayPickingUncommonCollectable,
	eSayPickingRareCollectable,
	eSayPickingOldCollectable,
	eSayPickingOldRelic,
	eSayCollectingRelic,		
	eSayCollectingUncommonRelic,		
	eSayCollectingRareRelic,		
	eSayCollectingScienceItem,	
	eSayCollectingUncommonScienceItem,	
	eSayCollectingRareScienceItem,	
	eSayPickingScientistPiece,
	eSayPickingFarmerPiece,
	eSayPickingBuilderPiece,
	eSayPickingDoctorPiece,
	eSayAssemblingNecklace,
	eSayEnoughHerbs,
	eSayNeedMoreHerbs,
	eSayHerbsReady,
	eSaySwimming,
	eSaySoakingInPool,
	eSaySoakingInPoolParty,
	eSayDiving,
	eSayHuntingFish,
	eSayTellStory,
	eSayListenStory,
	eSaySearchBiggles,
	eSayListenBigglesStory,
	eSayWaitingSomeone,
	eSayEmbracing,
	eSayHealing,
	eSayCuriousCactus,
	eSayCaringForBaby,
	eSayGoToSchool,
	eSayHidingInHut,
	eSayDrinkingRain,
	eSayDoingLaundry,
	eSayDayOfHonor,
	eSayBlessingsDay,
	eSayIsolaDay,
	//eSayWorriedFood,
	eSayUnsure,
	eSayShakingHead,
	eSayItsRaining,
	eSayLikesList,
	eSayDislikesList,
	eSayVillagerDetail,
	eSaySkills,
	eSayResearch,
	eSayBreeding,
	eSayBuilding,
	eSayEvangelism,
	eSayHealingDetail,
	eSayGender,
	eSayStatus,
	eSayLikes,
	eSayDislikes,
	eSayWeaningIn,
	eSayMale,
	eSayFemale,
	eSayDead,
	eSaySick,
	eSayWeakened,
	eSayElderly,
	eSayHealthy,
	eSayNursingFor,
	eSayMin,
	eSayGuidingHand,
	eSayCoolFeet,
	eSayTeachChildren,
	eSayFailedPotion,
	eSayAttendLessons,
	eSayPlayTag,
	eSayPlayTagIt,
	eSayHe,
	eSayShe,
	eSayHeSmall,
	eSaySheSmall,
	eSayHimSmall,
	eSayHerSmall,
	eSayHisSmall,
	eSayNext,
	eString_XofY,
	eSayPrev,
	eSayChooseClothes,
	eSayTastesBitter,
	eSayTastesSaltyDisgusting,
	eSayHic,
	eSayYikes,
	eSayWoah,
	eSayYummy,
	eSayFeelSick,
	eSayFeelsBetter,
	eSayLearnsFaster,
	eSayTechBonus,
	eSayFeelsLikeNew,
	eSayCantDrinkAgain,
	eSayHealedButStarving,
	eSayFeelsLight,
	eSayFeelsRomantic,
	eSayFeelsHungry,
	eSayFeelsItchy,
	eSayFeelsFertile,
	eSayFeelsDown,
	eSayFeelsSleepy,
	eSayFeelsATrance,
	eSayFeelsVeryFertile,
	eSayFeelsTired,
	eSayFeelsFaint,
	eSayFeelsHappy,
	eSayNeedsWarming,
	eSayNeedsCooling,
	eSayHasStomachAche,
	eSayAwfulPotion,
	eSayCantMove,
	eSayGotToGo,
	eSayIsEveryoneSlow,
	eSayMustExercise,
	eSayFunPotion,
	eSayTooHot,
	eSayNoPotion,
	eSayScoffing,
	eSayTooCold,
	eSayTrance,
	eSaySprituality,
	eSayParalyzed,
	eSayBadDancingChief,
	eSayBadDancing,
	eSayGarlicBreath,
	eSayBubbleBreath,
	eSayHiccups,
	eSayPlayInDirt,
	eSayBlind,
	eSayCrazy,
	eSayTeachingBabyToTalk,
	eSayCleaningUpMud,
	eSayPlayingInSand,

	eSayItchy,
	eSayFaint,
	eSayClearingRubble,
	eSayClearingDebris,
	eSayGatherHerbs,
	eSayNurserySchool,
	eSaySeesNurserySchool,
	eSayTeachingAtNursery,
	eSaySeesNurserySchoolConstruction, 
	eSaySeesNurserySchoolFoundation,
	eSayNotEnoughSkills,

	eSayGetOutOfRain,
	eSayInspectingFood,
	eSayPlaying,
	eSayStomping,
	eSayWashFace,
	eSayWashHands,
	eSayBathing,
	eSayLookAtFishies,
	eSayLookForMushrooms,
	eSayLookForCollectibles,
	eSayStumbling,
	eSayDoingExercise,
	eSaySwimWithFish,

	eSayCuriousHerb1,
	eSayCuriousHerb2,
	eSayCuriousHerb3,
	eSayCuriousHerb4,

	eSayPlaySeesaw,
	eSayLonely,
	eSayWashBaby,
	eSayChangeBaby,
	eSayWatchPeopleWork,
	eSayEmptyPot,
	eSayUsePotion,
	eSayDirectWork,
	eSayRefusing,
	eSayFruitTooHard,
	eSayBuildScaffold,
	eSayNeedLieDown,
	eSayNeedSitDown,
	eSayLookForGrownup,
	eSayLookForGrownup2,
	eSayPlayPuddles,
	eSayInspectHut,
	eSayShowHerbs,
	eSayHidingSomething,
	eSaySpringCleaning,
	eSaySunBaby,
	eSayPracticeDance,
	eSayTryGetWarm,
	eSayDepositFood,
	eSayHarvestingBlackberries,
	eSayHarvestingCrops,
	eSayMinutesToCrops,
	eSayCropsRemaining,
	eSayPickingFish,
	eSayChasingFish,
	eSayExcitedAboutPuddles,
	eSayConsultingChief,

	eSayCuriousKnowingTotem,
	eSayCuriousHungryTotem,
	eSayCuriousBlockingTotem,
	eSayCuriousRainbowTotem,
	eSayCuriousHollowTotem,
	eSayCuriousHiddenGrove,
	eSayCuriousPainTotem,
	eSayCuriousMedicalArea,
	eSayCuriousFilthyEncampment,
	eSayCuriousRuinedLab,
	eSayCuriousAqueduct,
	eSayCuriousWoodenPieces,
	eSayCuriousDrawingBoard,
	eSayCuriousCave,

	eSayDismantlingKnowingTotem,
	eSayDismantlingHungryTotem,
	eSayDismantlingBlockingTotem,
	eSayDismantlingRainbowTotem,
	eSaySqueezingIntoHollowTotem,
	eSayReactivatingBlindTotem,
	eSayDismantlingPainTotem,

	eSayKnowingTotemShouldBeTornDown,
	eSayHungryTotemShouldBeTornDown,
	eSayBlockingTotemShouldBeTornDown,
	eSayRainbowTotemShouldBeTornDown,
	eSayHollowTotemShouldBeTornDown,
	eSayRemainsOfATotem,
	eSaySomethingSparkling,
	eSayTotemNeedsEye,
	eSayTotemShinyEye,
	eSayPotWithGold,
	eSayNeedToPan,
	eSayClayPot,
	eSayPainTotemShouldBeTornDown,

	eSayKnowingTotemRemaining,
	eSayHungryTotemRemaining,
	eSayBlockingTotemRemaining,
	eSayRainbowTotemRemaining,
	eSayHollowTotemRemaining,
	eSayTotemIsHollow,
	eSayBlindTotemRemaining,
	eSayPainTotemRemaining,
	eSayItsYellowDye,
	eSayItsRedDye,
	eSayItsBlueDye,

	eSayTakingCareOfBaby,
	eSayTalkingMommyToMommy,
	eSayHidingChild,
	eSayListeningToMothers,

	//END DEALER SAY's
	eStatisicsLabel,
	eAchievementsLabel,
	eSTotemSuffix,
	eSRemainsSuffix,
	eCollectFishSuffix,
	//TUT TIPS

	eIntroPage1Line1,
	eIntroPage1Line2,
	eIntroPage2Line1,
	eIntroPage2Line2,
	eIntroPage2Line3,
	eIntroPage3Line1,
	eIntroPage3Line2,
	eIntroPage3Line3,
	eIntroPage3Line4,
/*	eIntroPage4Line1,
	eIntroPage4Line2,
	eIntroPage4Line3,
	eIntroPage4Line4,*/
	eIntroPage5Line1,
	eIntroPage5Line2,
	eIntroPage5Line3,
	eIntroPage5Line4,
	eIntroPage5Line5,
	eIntroPage5Line6,

	eMidGamePage1Line1,

	eMidGamePage2Line1,
	eMidGamePage2Line2,
	eMidGamePage2Line3,

	eMidGamePage3Line1,
	eMidGamePage3Line2,
	eMidGamePage3Line3,
	eMidGamePage3Line4,

	eMidGamePage4Line1,
	eMidGamePage4Line2,
	eMidGamePage4Line3,
	eMidGamePage4Line4,
	eMidGamePage4Line5,

	eMidGamePage5Line1,
	eMidGamePage5Line2,
	eMidGamePage5Line3,
	eMidGamePage5Line4,
	eMidGamePage5Line5,

	eEndGamePage1Line1,
	eEndGamePage1Line2,
	eEndGamePage1Line3,

	eEndGamePage2Line1,
	eEndGamePage2Line2,
	eEndGamePage2Line3,

	eEndGamePage3Line1,
	eEndGamePage3Line2,
	eEndGamePage3Line3,
	eEndGamePage3Line4,
	

	eReplayTutorialInstruction,

	eTTipBeginNewTTips,
	eTTipInstruct1, //  = eTTipBeginNewTTips,
	eTTipInfo2,
	eTTipInstruct3,
	eTTipInfo4,
	eTTipInstruct5,
	eTTipInfo6,
	eTTipInstruct7,
	eTTipInfo8,
	eTTipInstruct9,
	eTTipInfo10,
	eTTipInstruct11,
	eTTipInfo12,
	eTTipInstruct13,
	eTTipInfo14,
	eTTipInstruct15,
	eTTipInfo16,
	eTTipInstruct17,
	eTTipInfo18,
	eTTipInstruct19,
	eTTipInfo20,
	eTTipInstruct21,
	eTTipInfo22,
	//eTTipInstruct23, //intentionally left out
	//eTTipInfo24,
	eTTipInstruct25,
	eTTipInfo26,
	eTTipInstruct27,
	eTTipInfo28,
	eTTipInstruct29,
	eTTipInfo30,
	eTTipInstruct31,
	eTTipInfo32,
//	eTTipInstruct33,
//	eTTipInfo34,
//	eTTipInstruct35,
//	eTTipInfo36,
	eTTipInstruct37,
	eTTipInfo38,
	eTTipInstruct39,
	eTTipInfo40,


	eTTipLastInfoTip = eTTipInfo40,

	eTTipStandAloneWelcome,
	eTTipStandAloneDragFail,
	eTTipStandAloneBlackberryWait,
	eTTipStandAloneBlackberryFail,
	eTTipStandAloneResearchWait,
	eTTipStandAloneResearchFail,
	eTTipStandAloneBreedFail,
	eTTipStandAloneFirstPreg,
	eTTipStandAloneHealFail,
	eTTipStandAloneEvangelizeFail,
	eTTipStandAloneFirstDeath,
	eTTipStandAloneMiniMap,
	eTTipStandAloneRealTime,
	eTTipStandAloneFinal,
	eTTipStandAloneConfused,
	eTTipStandAloneSkillPref,
	//eTipStandAloneFirstCollectable,
	eTTipStandAloneChildrenNoWork,
	eTTipStandAloneMommiesNoWork,
	eTTipStandAloneCuttingToolWait,

	eTTipTerminator,

	eTipInternalUse,

	eTipFirstTrainee,
	eTipFirstAdept,

	eTipFoodOk,
	eTipFirstAdult,

	eTipLastAutoOff,
	
	eTTipOneOffDragHeathen,
	eTTipOneOffHeathenDetail,
	eTTipOneOffFirstConversion,
	eTTipOneOffFirstTotem,
	eTTipOneOffFirstRelic,
	eTTipOneOffPolisher,
	eTTipOneOffTired,
	eTTipOneOffNewGodPower,
	
	eTipFirstMaster,
	eTipPopMilestoneSmall,
	eTipPopMilestoneMed,
	eTipPopMilestoneLarge,
	eTipAbsPopCap,
	eTipNewRecipe,
	eTipYouLose, //66?

	eTipPuzzleFenceComplete,
	eTipPuzzleFoodTotemComplete,
	eTipPuzzleClosedEyeTotemComplete,
	eTipPuzzleRainbowTotemComplete,
	eTipPuzzleChildrensTotemComplete,
	eTipPuzzleResearchTotemComplete,
	eTipPuzzleMedicineTotemComplete,
	eTipPuzzleBuildingTotemComplete,
	eTipPuzzleConvertMasterDoctorComplete,
	eTipPuzzleConvertHeathenChiefComplete,
	eTipPuzzleConvertLastHeathenComplete,
	eTipPuzzleBelieverIdolComplete,
	eTipPuzzleHeathenMommyComplete,
	eTipPuzzleNurserySchoolComplete,
	eTipPuzzleConvertMasterScientistComplete,
	eTipPuzzleConvertMasterBuilderComplete,
	eTipPuzzleHydrofarmComplete,
	eTipPuzzleHut1Built,
	eTipPuzzleClothingHutBuilt,
	eTipPuzzleLoveShackBuilt,
	eTipPuzzleFireStarted,
	eTipPuzzleRestoreLakeComplete,
	eTipPuzzleRestoreMausoleumComplete,

	//collection puzzle tips
	eTipPuzzleRelicCollectionComplete,
	eTipPuzzleScienceItemCollectionComplete,
	eTipPuzzleAllCollectionsComplete,

	eTipDemo,

	eTipTerminator,
	//END TUT TIPS

	eEulogyDefault,
	eEulogyTextFarmer1,
	eEulogyTextFarmer2,
	eEulogyTextResearcher1,
	eEulogyTextResearcher2,
	eEulogyTextBreeder1,
	eEulogyTextBreeder2,
	eEulogyTextDoctor1,
	eEulogyTextDoctor2,
	eEulogyTextBuilder1,
	eEulogyTextBuilder2,
	eEulogyTextChild1,
	eEulogyTextChild2,
	eEulogyTextElder1,

	eStringCauseOfDeathUnknown,
	eStringCauseOfDeathDisease,

	eStringCauseOfDeathBase = eStringCauseOfDeathDisease,

	eStringCauseOfDeathStarvation,
	eStringCauseOfDeathOldAge,
	eStringCauseOfDeathVocationalInjury,
	eStringCauseOfDeathActOfNature,

	eStringCauseOfDeath,
	eStringRosterOfTheDead,
	eSayExamineSolution,
	eSayCelebratingSolution,
	eSayBuildAStatue,
	eSayMunchDirt,
	eSayHideInWater,
	eSayScratchForRoots,
	eSayPolishTheStatue,
	eSayRunFromHeathen,
	eSayResting,
	eSayHeathenHealthChant,
	eSayHeathenBumble,
	eSayListenToEvangelist,
	eSayHeathenDevourFruit,
	eSayLookForFallenFruit,
	eSayAnnoyedByBees,
	eSayRunOutOfLab,
	eSayThinking,
	eSayWeeping,
	eSayChiefBuilderMull,
	eSayEvangelize,
	eSayFumigating,
	eSayGuardFirewood,
	eSayGuardTotem,
	eSayGuardFruit,
	eSayGuardLab,
	eSayFeelVerySick,
	eSaySeeTheLight,
	eSayDirectAqueductRepair,
	eSayRepairAqueduct,
	eSayHideFromLightning,
	eSayInstallEye,
	eSayEscapeFromFoulness,
	eSayDroppingSomething,
	eSayObservingProof,
	eSayHeathenImpressed,
	eSayHeathenNotImpressed,
	eSayBuryMausoleum,
	eSayRestoreMausoleum,
	eSayRepairATotem,
	eSayPanForGold,
	eSaySmeltGold,
	eSayRetrievePan,
	eSayAttemptProof,
	eSayObserveProof,
	eSayBuildGranary,
	eSayDyeInPool,
	eSayBuilderMustWatch,
	eSayCanBuildSomething,
	eSayChallengeNotReady,
	eSayScientistMustWatch,
	eSayWashUpInStream,
	eSayShowBabyTheStream,
	eSayShowBabyTheGrove,
	eSayChiefNotHome,
	//eSayChiefNotHome,
	eSayWalkTheRiver,
	eSayHeckleStoryteller,

	//BEGIN EVENT STRINGS

	eEventTsunamiTitle,	
	eEventTsunamiDesc,

	eEventTheCreepingMoldTitle,	
	eEventTheCreepingMoldDesc,

	eEventAllergySeasonTitle,	
	eEventAllergySeasonDesc,

	eEventIsolaDayTitle,	
	eEventIsolaDayDesc,

	eEventTheRainySeasonTitle,
	eEventTheRainySeasonDesc,

	eEventTheColdSnapTitle,
	eEventTheColdSnapDesc,

	//eEventTheSaltyAirTitle,
	//eEventTheSaltyAirDesc,

	eEventTheArmyAntsTitle,
	eEventTheArmyAntsDesc,

	eEventTheAphidsTitle,
	eEventTheAphidsDesc,

	eEventTheStrangeCrystalsTitle,
	eEventTheStrangeCrystalsDesc,
	
	eEventTheEspeciallyOffensiveCloudTitle,
	eEventTheEspeciallyOffensiveCloudDesc,

	eEventTheBottleOfHotsauceTitle,
	eEventTheBottleOfHotsauceDesc,

	eEventTheRiverBreaksItsBanksTitle,
	eEventTheRiverBreaksItsBanksDesc,

	eEventTheClumbsyHeathenTitle,
	eEventTheClumbsyHeathenDesc,

	eEventThePeskyCritterTitle,
	eEventThePeskyCritterDesc,

	eEventMushroomDayTitle,
	eEventMushroomDayDesc,


	eEventTheStingingWaspsTitle,
	eEventTheStingingWaspsDesc,

	eEventTheBanyanFestivalTitle,
	eEventTheBanyanFestivalDesc,

	eEventBarrelOBabiesVTitle,
	eEventBarrelOBabiesVDesc,

	eEventBarrelOHeathenBabiesVTitle,
	eEventBarrelOHeathenBabiesVDesc,

	eEventTheSaltyAirTitle,
	eEventTheSaltyAirDesc,

	eEventCanoeFromOtherSideTitle,	
	eEventCanoeFromOtherSideDesc,

	eEventTheVisionTitle,
	eEventTheVisionDesc,

	eEventMysteriousFogFoodBonusTitle,	
	eEventMysteriousFogFoodBonusDesc,

	eEventMysteriousFogFoodPenaltyTitle,	
	eEventMysteriousFogFoodPenaltyDesc,

	eEventMysteriousFogTechBonusTitle,	
	eEventMysteriousFogTechBonusDesc,

	eEventMysteriousFogTechPenaltyTitle,	
	eEventMysteriousFogTechPenaltyDesc,

	eEventDayOfHonorTitle,	
	eEventDayOfHonorDesc,

	eEventBlessingsDayTitle,	
	eEventBlessingsDayDesc,

	eEventACloserLookTitle,	
	eEventACloserLookDesc,

	eEventDaredevilBarrelTitle,	
	eEventDaredevilBarrelDesc,

	eEventChutesWithoutLaddersTitle,
	eEventChutesWithoutLaddersDesc,

	eEventTheVillageAndTheTree_MallaiseTitle,
	eEventTheVillageAndTheTree_MallaiseDesc,

	eEventNewsFromAnotherTribe1Title,
	eEventNewsFromAnotherTribe1Desc,


	eEventNewsFromAnotherTribe2Title,
	eEventNewsFromAnotherTribe2Desc,

	eEventTheVillageAndTheTree_EuphoriaTitle,
	eEventTheVillageAndTheTree_EuphoriaDesc,

	eEventAbandonedInfantsTitle,
	eEventAbandonedInfantsDesc,

	eEventTheBedBugsTitle,
	eEventTheBedBugsDesc,
	eEventTheBedBugsChoiceA,
	eEventTheBedBugsChoiceB,
	eEventTheBedBugsResultA,
	eEventTheBedBugsResultB,


	eEventTheMaskTitle,		
	eEventTheMaskDesc,
	eEventTheMaskChoiceA,
	eEventTheMaskChoiceB,
	eEventTheMaskResultA,
	eEventTheMaskResultB,

	eEventTheHeathenToyTitle,		
	eEventTheHeathenToyDesc,
	eEventTheHeathenToyChoiceA,
	eEventTheHeathenToyChoiceB,
	eEventTheHeathenToyResultA,
	eEventTheHeathenToyResultB,

	eEventAncientTabletScience1Title,		
	eEventAncientTabletScience1Desc,
	eEventAncientTabletScience1ChoiceA,
	eEventAncientTabletScience1ChoiceB,
	eEventAncientTabletScience1ResultA,
	eEventAncientTabletScience1ResultB,

	eEventAncientTabletScience2Title,		
	eEventAncientTabletScience2Desc,
	eEventAncientTabletScience2ChoiceA,
	eEventAncientTabletScience2ChoiceB,
	eEventAncientTabletScience2ResultA,
	eEventAncientTabletScience2ResultB,

	eEventBunjeeJumpingTitle,		
	eEventBunjeeJumpingDesc,
	eEventBunjeeJumpingChoiceA,
	eEventBunjeeJumpingChoiceB,
	eEventBunjeeJumpingResultA,
	eEventBunjeeJumpingResultB,

	eEventTheReturnOfBigglesTitle,
	eEventTheReturnOfBigglesDesc,
	eEventTheReturnOfBigglesChoiceA,
	eEventTheReturnOfBigglesChoiceB,
	eEventTheReturnOfBigglesResultA,
	eEventTheReturnOfBigglesResultB,

	eEventTheSpaTitle,
	eEventTheSpaDesc,
	eEventTheSpaChoiceA,
	eEventTheSpaChoiceB,
	eEventTheSpaResultA,
	eEventTheSpaResultB,

	eEventDoubtTitle,
	eEventDoubtDesc,
	eEventDoubtChoiceA,
	eEventDoubtChoiceB,
	eEventDoubtResultA,
	eEventDoubtResultB,

	eEventSpyingOnTheHeathensTitle,
	eEventSpyingOnTheHeathensDesc,
	eEventSpyingOnTheHeathensChoiceA,
	eEventSpyingOnTheHeathensChoiceB,
	eEventSpyingOnTheHeathensResultA,
	eEventSpyingOnTheHeathensResultB,

	eEventYoureDoinItWrongTitle,
	eEventYoureDoinItWrongDesc,
	eEventYoureDoinItWrongChoiceA,
	eEventYoureDoinItWrongChoiceB,
	eEventYoureDoinItWrongResultA1,
	eEventYoureDoinItWrongResultA2,
	eEventYoureDoinItWrongResultB,

	eEventTheMissingKidsTitle,
	eEventTheMissingKidsDesc,
	eEventTheMissingKidsChoiceA,
	eEventTheMissingKidsChoiceB,
	eEventTheMissingKidsResultA,
	eEventTheMissingKidsResultB,

	eEventOutreachTitle,
	eEventOutreachDesc,
	eEventOutreachChoiceA,
	eEventOutreachChoiceB,
	eEventOutreachResultA,
	eEventOutreachResultB,

	eEventTheAdvancedArtifactsTitle,
	eEventTheAdvancedArtifactsDesc,
	eEventTheAdvancedArtifactsChoiceA,
	eEventTheAdvancedArtifactsChoiceB,
	eEventTheAdvancedArtifactsResultB1,
	eEventTheAdvancedArtifactsResultB2,
	eEventTheAdvancedArtifactsResultA,

	eEventTrickOrTradeTitle,
	eEventTrickOrTradeDesc,
	eEventTrickOrTradeChoiceA,
	eEventTrickOrTradeChoiceB,
	eEventTrickOrTradeResultA,
	eEventTrickOrTradeResultB,

	eEventTheMigratingFruitBatsTitle,
	eEventTheMigratingFruitBatsDesc,
	eEventTheMigratingFruitBatsChoiceA,
	eEventTheMigratingFruitBatsChoiceB,
	eEventTheMigratingFruitBatsResultA,
	eEventTheMigratingFruitBatsResultB,

	eEventAphidsInTheHydrofarmTitle,
	eEventAphidsInTheHydrofarmDesc,
	eEventAphidsInTheHydrofarmChoiceA,
	eEventAphidsInTheHydrofarmChoiceB,
	eEventAphidsInTheHydrofarmResultA,
	eEventAphidsInTheHydrofarmResultB,

	eEventTheDefectorTitle,
	eEventTheDefectorDesc,
	eEventTheDefectorChoiceA,
	eEventTheDefectorChoiceB,
	eEventTheDefectorResultA1,
	eEventTheDefectorResultA2,
	eEventTheDefectorResultB,

	eEventTheStrawHatTitle,
	eEventTheStrawHatDesc,
	eEventTheStrawHatChoiceA,
	eEventTheStrawHatChoiceB,
	eEventTheStrawHatResultA,
	eEventTheStrawHatResultB,

	eEventTheStrangeNectarTitle,
	eEventTheStrangeNectarDesc,
	eEventTheStrangeNectarChoiceA,
	eEventTheStrangeNectarChoiceB,
	eEventTheStrangeNectarResultA,
	eEventTheStrangeNectarResultB,

	eEventTheCrackedMaskTitle,
	eEventTheCrackedMaskDesc,
	eEventTheCrackedMaskChoiceA,
	eEventTheCrackedMaskChoiceB,
	eEventTheCrackedMaskResultA,
	eEventTheCrackedMaskResultB,

	eEventTheSmellyVialTitle,
	eEventTheSmellyVialDesc,
	eEventTheSmellyVialChoiceA,
	eEventTheSmellyVialChoiceB,
	eEventTheSmellyVialResultA,
	eEventTheSmellyVialResultB,
	
	eEventTheFloralVialTitle,
	eEventTheFloralVialDesc,
	eEventTheFloralVialChoiceA,
	eEventTheFloralVialChoiceB,
	eEventTheFloralVialResultA,
	eEventTheFloralVialResultB,

	eEventTheInvisibleVialTitle,
	eEventTheInvisibleVialDesc,
	eEventTheInvisibleVialChoiceA,
	eEventTheInvisibleVialChoiceB,
	eEventTheInvisibleVialResultA,
	eEventTheInvisibleVialResultB,

	eEventInnovationInFarmingTitle,
	eEventInnovationInFarmingDesc,
	eEventInnovationInFarmingChoiceA,
	eEventInnovationInFarmingChoiceB,
	eEventInnovationInFarmingResultA1,
	eEventInnovationInFarmingResultA2,
	eEventInnovationInFarmingResultB,


	eEventMysteriousStorytellerTitle,
	eEventMysteriousStorytellerDesc,
	eEventMysteriousStorytellerChoiceA,
	eEventMysteriousStorytellerChoiceB,
	eEventMysteriousStorytellerResultA,
	eEventMysteriousStorytellerResultB,

	eEventChildInTheTreeTitle,
	eEventChildInTheTreeDesc,
	eEventChildInTheTreeChoiceA,
	eEventChildInTheTreeChoiceB,
	eEventChildInTheTreeResultA,
	eEventChildInTheTreeResultB,

	eEventThePrettyShellTitle,
	eEventThePrettyShellDesc,
	eEventThePrettyShellChoiceA,
	eEventThePrettyShellChoiceB,
	eEventThePrettyShellResultA,
	eEventThePrettyShellResultB,
	eEventBigglesPaysAVisitTitle,
	eEventBigglesPaysAVisitDesc,
	eEventBigglesPaysAVisitChoiceA,
	eEventBigglesPaysAVisitChoiceB,
	eEventBigglesPaysAVisitResultA,
	eEventBigglesPaysAVisitResultB,
	//END EVENT STRINGS

	//tech screen related strings

	eTechScienceLabel,
	eTechMedicineLabel,
	eTechLearningLabel,
	eTechRestorationLabel,
	eTechFoodMasteryLabel,
	eTechSpiritualityLabel,

	eTechScienceInfo,
	eTechMedicineInfo,
	eTechLearningInfo,
	eTechRestorationInfo,
	eTechFoodMasteryInfo,
	eTechSpiritualityInfo,

	eTechLevel,
	eTechNextLevel,
	eTechCost,
	eTechPts,
	eTechResearchedNoPrice,
	eTechFullyResearched,
	eTechConfirmPath,
	eTechPathAlreadyChosen,

	//end tech screen related strings
	//END ISOLA STRINGS

	eRandomTip1,
	eRandomTip2,
	eRandomTip3,
	eRandomTip4,
	eRandomTip5,
	eRandomTip6,
	eRandomTip7,
	eRandomTip8,
	eRandomTip9,
	eRandomTip10,
	eRandomTip11,
	eRandomTip12,
	eRandomTip13,
	eRandomTip14,
	eRandomTip15,
	eRandomTip16,
	eRandomTip17,
	eRandomTip18,
	eRandomTip19,
	eRandomTip20,
	eRandomTip21,
	eRandomTip22,
	eRandomTip23,
	eRandomTip24,
	eRandomTip25,
	eRandomTip26,
	eRandomTip27,
	eRandomTip28,
	eRandomTip29,
	eRandomTip30,
	eRandomTip31,
	eRandomTip32,
	eRandomTip33,
	eRandomTip34,
	eRandomTip35,
	eRandomTip36,
	eRandomTip37,
	eRandomTip38,
	eRandomTip39,
	eRandomTip40,
	eRandomTip41,
	eRandomTip42,
	eRandomTip43,
	eRandomTip44,
	eRandomTip45,
	eRandomTip46,
	eRandomTip47,
	eRandomTip48,
	eRandomTip49,
	eRandomTip50,
	
	ePoints,

	eAge,     
	eStatus,  
	ePregnant,
	eSick,    
	eDead,    
	eOverviewSceneLabel,
	ePuzzlesSceneLabel,
	eCollectionsSceneLabel,
	eCollectionsScienceItemsLabel,
	eCollectionsRelicsLabel,
	eCollectionsNecklacePiecesLabel,
	eCollectionsOf,
	eString_LabEquipment,
	ePuzzlesButton,
	eStatisticsButton,
	eCompletedIn,
	eHours,
	eIsolaYears,
	eUnknown,

	ePlayer,
	ePleaseEnterANickName,
	eChangePlayer,
	eNewPlayer,
	
	eOK,
	eCancel,
	eDelete,
	eRefresh,
	eDeletePlayerConfirm,
#ifdef _MAC
	eChangeToWindowedConfirm,
#endif
	eChangeClothesConfirm,

	eAttemptingConnect,
	eStatsUpdated,	   
	eUpdateFailed,	   
	eNoStats,		   

	eCaringBaby,
	eWorriedFood,
	eStudyingMedicine,
	eWorriedHousing,
	eThinking,
	eBored,
	eDancing,
	eCelebrateMushrooms,
	eFixUpMudHut,
	eRelaxingBeach,
	eSitting,
	eString_Resting,
	eWatchingClouds,
	eFishing,
	eLeavingWater,
	eEating,
	eReflecting,
	eCoolingFeet,
	eBehaviorLabelWashingFace,
	eBehaviorLabelWashingHands,
	eBehaviorLabelTakingAShower,
	eBehaviorLabelWashingFeet,
	eGettingDrink,
	eWateringField,
	eClearingBlockage,
	eEnjoyingLake,
	eEnjoyingWaterfall,
	eConfused,
	eHonoringDead,
	eSayNoRoom,
	eSayOnlyBuilders,
	eSayChalkBoardFull,
	eSayWorkOnIdol,
	eSayAdmireIdol,
	eSayAdmireCrudeIdol,
	eSayAdmireProudIdol,
	eSayAdmaireMagnifIdol,
	eMakingParty,
	eObserving,
	eDigging,
	eFixingHut,
	eFoundingSchool,
	eRelaxing,

	eYourStatistics,	
	eInternetStatistics,
	eRealHoursPlayed,	
	eYourRank,			
	ePressRefresh,		
	ePointsEarned,		
	eBabiesMade,		
	eFoodGathered,		
	ePeepsCured,		
	eCrabsFound,		
	eMaxPop,			
	eTotemsMade,			
	eOldestVillager,	
	eNumCrisis,			
	eTwinsBirthed,   
	eTripletsBirthed,
	ePuzzlesSolved,
	eAverage,	
	
///////

	eString_AchievementLiteSnackTitle,
	eString_AchievementLiteSnackDesc,
	eString_AchievementBalancedMealTitle,
	eString_AchievementBalancedMealDesc,
	eString_AchievementSupersizeTitle,
	eString_AchievementSupersizeDesc,
	eString_AchievementAllYouCanEatTitle,
	eString_AchievementAllYouCanEatDesc,
	eString_AchievementProgressTitle,
	eString_AchievementProgressDesc,
	eString_AchievementProlificProgressTitle,
	eString_AchievementProlificProgressDesc,
	eString_AchievementAbundantProgressTitle,
	eString_AchievementAbundantProgressDesc,
	eString_AchievementResearchDevTitle,
	eString_AchievementResearchDevDesc,
	eString_AchievementShroomsTitle,
	eString_AchievementShroomsDesc,
	eString_AchievementMoreShroomsTitle,
	eString_AchievementMoreShroomsDesc,
	eString_AchievementFungusAmongUsTitle,
	eString_AchievementFungusAmongUsDesc,
	eString_AchievementGourmetShroomsTitle,
	eString_AchievementGourmetShroomsDesc,
	eString_AchievementLoveShroomsTitle,
	eString_AchievementLoveShroomsDesc,
	eString_AchievementObsessedShroomsTitle,
	eString_AchievementObsessedShroomsDesc,
	eString_AchievementRelicsTitle,
	eString_AchievementRelicsDesc,
	eString_AchievementScienceItemsTitle,
	eString_AchievementScienceItemsDesc,
	eString_AchievementMasterCollectorTitle,
	eString_AchievementMasterCollectorDesc,
	eString_AchievementCutsBothWaysTitle,
	eString_AchievementCutsBothWaysDesc,
	eString_AchievementSecondThoughtTitle,
	eString_AchievementSecondThoughtDesc,
	eString_AchievementHeathenPrerogativeTitle,
	eString_AchievementHeathenPrerogativeDesc,
	eString_AchievementCantBeatEmTitle,
	eString_AchievementCantBeatEmDesc,
	eString_AchievementEternalDevotionTitle,
	eString_AchievementEternalDevotionDesc,
	eString_AchievementYayButterfliesTitle,
	eString_AchievementYayButterfliesDesc,
	eString_AchievementJengaTitle,
	eString_AchievementJengaDesc,
	eString_AchievementWayTooMuchSugarTitle,
	eString_AchievementWayTooMuchSugarDesc,
	eString_AchievementTinyBlessingTitle,
	eString_AchievementTinyBlessingDesc,
	eString_AchievementTwoTinyBlessingTitle,
	eString_AchievementTwoTinyBlessingDesc,
	eString_AchievementHelpTitle,
	eString_AchievementHelpDesc,
	eString_AchievementSugarSpiceTitle,
	eString_AchievementSugarSpiceDesc,
	eString_AchievementSnipsSnailsTitle,
	eString_AchievementSnipsSnailsDesc,
	eString_AchievementGoodStartTitle,
	eString_AchievementGoodStartDesc,
	eString_AchievementCrowdControlTitle,
	eString_AchievementCrowdControlDesc,
	eString_AchievementMasterScienceTitle,
	eString_AchievementMasterScienceDesc,
	eString_AchievementMasterConstructionTitle,
	eString_AchievementMasterConstructionDesc,
	eString_AchievementMasterParentingTitle,
	eString_AchievementMasterParentingDesc,
	eString_AchievementMasterMedicineTitle,
	eString_AchievementMasterMedicineDesc,
	eString_AchievementMasterFarmingTitle,
	eString_AchievementMasterFarmingDesc,
	eString_AchievementMasterDevotionTitle,
	eString_AchievementMasterDevotionDesc,
	eString_AchievementJackTradesTitle,
	eString_AchievementJackTradesDesc,
	eString_AchievementSkilledWorkersTitle,
	eString_AchievementSkilledWorkersDesc,
	eString_AchievementFullResearchLearningTitle,
	eString_AchievementFullResearchLearningDesc,
	eString_AchievementFullResearchScienceTitle,
	eString_AchievementFullResearchScienceDesc,
	eString_AchievementFullResearchFoodTitle,
	eString_AchievementFullResearchFoodDesc,
	eString_AchievementFullResearchSpiritualityTitle,
	eString_AchievementFullResearchSpiritualityDesc,
	eString_AchievementFullResearchMedicineTitle,
	eString_AchievementFullResearchMedicineDesc,
	eString_AchievementFullResearchConstructionTitle,
	eString_AchievementFullResearchConstructionDesc,
	eString_AchievementFullResearchAllTechTitle,
	eString_AchievementFullResearchAllTechDesc,
	eString_AchievementEventfulIslandTitle,
	eString_AchievementEventfulIslandDesc,
	eString_AchievementNeverADullMomentTitle,
	eString_AchievementNeverADullMomentDesc,
	eString_AchievementRoomGrowTitle,
	eString_AchievementRoomGrowDesc,
	eString_AchievementPlacePlayLearnTitle,
	eString_AchievementPlacePlayLearnDesc,
	eString_AchievementNotFeelHowLookTitle,
	eString_AchievementNotFeelHowLookDesc,
	eString_AchievementSwineFluTitle,
	eString_AchievementSwineFluDesc,
	eString_AchievementTriageTitle,
	eString_AchievementTriageDesc,
	eString_AchievementMedicineManTitle,
	eString_AchievementMedicineManDesc,
	eString_AchievementMiracleWorkerTitle,
	eString_AchievementMiracleWorkerDesc,
	eString_AchievementRubSticksTitle,
	eString_AchievementRubSticksDesc,
	eString_AchievementVigilentCamperTitle,
	eString_AchievementVigilentCamperDesc,
	eString_AchievementDidntStartFireTitle,
	eString_AchievementDidntStartFireDesc,
	eString_AchievementFashionistaTitle,
	eString_AchievementFashionistaDesc,
	eString_AchievementRomperRoomTitle,
	eString_AchievementRomperRoomDesc,
	eString_AchievementProlificProcreationTitle,
	eString_AchievementProlificProcreationDesc,
	eString_AchievementPoolPartyTitle,
	eString_AchievementPoolPartyDesc,
	eString_AchievementWiseTitle,
	eString_AchievementWiseDesc,
	eString_AchievementElderTitle,
	eString_AchievementElderDesc,
	eString_AchievementOverAchieverTitle,
	eString_AchievementOverAchieverDesc,
	eString_AchievementUnachievableTitle,
	eString_AchievementUnachievableDesc,

	eSounds,
	eMusic,
	eVoiceover,
	eMusicTracks,
	eEnabled,
	eDisabled,

	eDifficulty,
	eEasy,
	eMedium,
	eHard,

	eGameSpeed,
	eStopTime,
	eNormal,
	eHalfSpeed,
	e2xSpeed,

	eFullscreen,
	eOn,
	eOff,

	eGameExpired,

	eEventPrizeTech,
	eEventPrizeFood,
	eEventPrizeSkel,
	eEventPrizeGain,
	eEventPrizeLose,
	
	eAskReturnToFullScreen,

	eMustSelectTargetVillager,
	eTooYoungToGrantYouth,
	eCannotGrantYouthToHeathen,
	eCannotGrantYouthToCorpse,
	eCannotReanimate,
	eFieldIsHopeless,

//	eTestId,

	eStringCount
};
class theStringManagerImpl;

class theStringManager
{
public:

	static theStringManager *Get();
	static void Destroy();

	ldwFont *clearFont;

	enum
	{
		eEnglish,
		eGerman,

		eLanguageCount
	};

	void LoadFonts();

	ldwFont* GetLargeFont();
	ldwFont* GetMediumFont();
	ldwFont* GetSmallFont() {return clearFont;}
	ldwFont* GetTinyFont();
#ifdef LDW_USE_SCALABLE_FONTS
	ldwFont* GetScTestFont();
#endif
	char *GetString(StringId stringId);
	void  GetStringFromNameGenderTemplate(char *dest,int maxLength,StringId templateId,const char *name,bool isMale,int awardAmount = 0,const char *name2 = 0, bool isMale2 = true);

	void SetLanguage(int language);
	int  GetLanguage();

#if _DEBUG
	bool CreateStringListFile();
#endif

protected:
	
	static theStringManager *mInstance;

	ldwFont *mTinyFont;
	ldwFont *mMediumFont;
	ldwFont *mLargeFont;

	ldwFont *mScFont20;

	theStringManager();
	~theStringManager();

	theStringManagerImpl *mStringManager;
};

inline theStringManager& StringManager() {return *theStringManager::Get();}
#endif