//
//		Definition of the main game class
//
#ifndef THE_VILLAGER_SCENE_H
#define THE_VILLAGER_SCENE_H

#include "../Utils/theSlicedVariableMeter.h"
#include "ldwScene.h"
#include "ldwGameWindow.h"
#include "../World/WorldMap.h"
#include "ldwGameWindow.h"
#include "ldwImage.h"
#include "../Utils/theVariableMeter.h"
#include "../Utils/theStringManager.h"
#include "../Game/Isola.h"
#include "../Villagers/VillagerManager.h"

class ldwButton;
//class ldwRadioButton;
class ldwSoundTrack;
class ldwSoundFx;
class theGameState;
class ldwTextControl;
class theVariableMeter;
class theStringManager;

#define cCheckBoxX 858
#define cCheckBox1Y 299
#define cCheckBox2Y 340
#define cCheckBox3Y 384
#define cCheckBox4Y 427
#define cCheckBox5Y 466
#define cCheckBox6Y 506

#define cAgeButtonX	425 //was 340
#define cAgeButtonY 632//was 522
#define cJobButtonX 626
#define cJobButtonY 632
#define cHealthButtonX 827
#define cHealthButtonY 632
#define cSortButtonSize 62

#define maxVillagerNameLength	19  //was 11 before switched to arial

class theVillagerScene : public ldwScene
{
public:

	theVillagerScene();
	~theVillagerScene();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);
//	bool ForwardWaitingMessage(StringId whichMessage);

	void UpdateSelection(const int iSelectedVillager);

	void Activate(bool active);

	static int  NextVillager(int villagerIndex,bool updateList = true);
	static int  PrevVillager(int villagerIndex,bool updateList = true);

protected:

	void DrawScene();
	void UpdateScene();

private:

	static const int  FindVillager(const int iVillager);
	static void       PopulateVillagerList();
	static void       SortVillagers();
	static const bool SortTest(const int iVillager1, const int iVillager2);

	//class enumerations
	enum ESortIndex
	{
		eSortIndex_Age,
		eSortIndex_Health,
		eSortIndex_Skill,
	};

	enum ESortOrder
	{
		eSortOrder_Ascending,
		eSortOrder_Descending
	};

	static int          m_iVillager[VillagerManager_c_iMaxVillagers];
	static int          m_iNumVillagers;
	static ESortIndex	m_eSortIndex;
	static ESortOrder	m_eSortOrder;

	ldwRect ageButtonRect;
	ldwRect jobButtonRect;
	ldwRect healthButtonRect;

	ldwRect motherMouseover;
	ldwRect fatherMouseover;

	const int doneButtonId;
	const int leftArrowButtonId;
	const int rightArrowButtonId;


	ldwButton      *doneButton;
	ldwButton	   *leftArrowButton;
	ldwButton	   *rightArrowButton;

	ldwTextControl *sceneLabel;
	ldwTextControl *skillsLabel;
	ldwTextControl *sortByLabel;
	ldwTextControl *sortAgeLabel;
	ldwTextControl *sortJobLabel;
	ldwTextControl *sortHealthLabel;

	ldwTextControl *playerCommField;

	ldwTextControl *skillFarmLabel;
	ldwTextControl *skillResearchLabel;
	ldwTextControl *skillBreedingLabel;
	ldwTextControl *skillHealingLabel;
	ldwTextControl *skillConstructionLabel;
	ldwTextControl *skillEvangelismLabel;

	ldwTextControl *nameLabel;
	ldwTextControl *nameField;
	ldwTextControl *ageLabel;
	ldwTextControl *ageField;
	ldwTextControl *genderLabel;
	ldwTextControl *genderField;
	ldwTextControl *statusLabel;
	ldwTextControl *statusField;
	ldwTextControl *likesLabel;
	ldwTextControl *likesField;
	ldwTextControl *dislikesLabel;
	ldwTextControl *dislikesField;
	ldwTextControl *pregTimerLabel;
	ldwTextControl *pregTimerField;
	ldwTextControl *faithField;
	ldwTextControl *faithLabel;
	ldwTextControl *faithMeterLabel;

		
	ldwGameWindow *gameWindow;

};
#endif